#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support #########

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( )


# check for hal
pkg_search_module( HAL hal )
if( HAL_FOUND )
  if( ${HAL_VERSION} VERSION_LESS "0.5.10" )
    tde_message_fatal( "your hal version is too old; at least 0.5.10 is required" )
  else( )
    set( HAVE_HAL_0_5_10 1 )
  endif( )
else( )
  tde_message_fatal( "hal are requested, but not found on your system" )
endif( )


# check for Xext
pkg_search_module( XEXT xext )
if( NOT XEXT_FOUND )
  tde_message_fatal( "Xext are required, but not found on your system" )
endif()


# check for Xtst
pkg_search_module( XTST xtst )
if( NOT XTST_FOUND )
  tde_message_fatal( "Xtst are required, but not found on your system" )
endif()


# check for xscrnsaver
pkg_search_module( XSCRNSAVER xscrnsaver )
if( NOT XSCRNSAVER_FOUND )
  tde_message_fatal( "xscrnsaver are required, but not found on your system" )
endif()


# check for dbus-1
pkg_search_module( DBUS dbus-1 )
if( NOT DBUS_FOUND )
  tde_message_fatal( "dbus-1 is required, but was not found on your system" )
endif( )


# check for dbus-tqt
pkg_search_module( DBUS_TQT dbus-tqt )
if( NOT DBUS_TQT_FOUND )
  tde_message_fatal( "dbus-tqt is required, but was not found on your system" )
endif( )
